Bug Hunting Session
Bug 71037 - FORMATTING: wrong page number direction in footnote's continuation notice
Summary: FORMATTING: wrong page number direction in footnote's continuation notice
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: RTL-CTL Footnote-Endnote Fields-Page-Number
  Show dependency treegraph
 
Reported: 2013-10-30 08:22 UTC by safarzadeh.h
Modified: 2019-09-18 02:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
An example of the problem described... (9.32 KB, application/vnd.oasis.opendocument.text)
2013-11-06 16:34 UTC, safarzadeh.h
Details

Note You need to log in before you can comment on or make changes to this bug.
Description safarzadeh.h 2013-10-30 08:22:09 UTC
Problem description: 
Page numbers which are automatically inserted by LibreOffice in footnote's continuation notice do not have correct direction in an RTL document.

Steps to reproduce:
1. Make an RTL document with more than 10 pages
2. Make a footnote, such as its continuation notice reference a page after 10.

Current behavior:

The page number is not in correct direction, for example, 21 instead of 12.


              
Operating System: Windows XP
Version: 4.1.2.3 release
Comment 1 Jean-Baptiste Faure 2013-11-03 20:18:22 UTC
Please, could you attach a document showing the problem ?

Best regards. JBF
Comment 2 safarzadeh.h 2013-11-06 16:34:37 UTC
Created attachment 88768 [details]
An example of the problem described...

There is footnote on page 13, which is continued on page 14. But in continuation notice of footnote, number '41' is inserted.
Comment 3 Jean-Baptiste Faure 2013-11-10 18:10:12 UTC
I installed B-Nazanin font from http://www.2-free.net/free-fonts/b-nazanin/38571.html
LibreOffice 4.1.4.0.0+ and the master show me a document with only 9 pages and the footnote on the page 9 does not continue on the next page.
I added several pages in your file and made the footnote longer. Now I reproduce the bug: the footnote contains the page number of the continuation page and this number is not in the correct direction, I get 41 instead of 14 (the footnote is on page 13). On the continuation page the page number 13 is correct.

Set status to NEW. 

Best regards. JBF
Comment 4 AtaRafi 2014-03-18 03:51:28 UTC
the same thing is happening with me.
OS: Win7
Comment 5 Joel Madero 2015-05-02 15:43:19 UTC Comment hidden (obsolete)
Comment 6 Gordo 2015-05-14 18:40:40 UTC
Reproducible.

The attachment had 11 pages for me.  I adjusted it to avoid page 11 because that is the same when read either way.

The second part of the footnote now has two numbers, one at the beginning and one at the end of the footnote.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 7 QA Administrators 2016-09-20 09:41:46 UTC Comment hidden (obsolete)
Comment 8 Jean-Baptiste Faure 2016-09-28 04:44:04 UTC
Still reproducible in LO 5.2.3.0+ and current master, both built at home under Ubuntu 16.04 x86-64.

Best regards. JBF
Comment 9 Omer Zak 2017-11-03 20:11:59 UTC
LibreOffice crashed when I tried to edit the example document.
My attempt was to insert more text to enlarge the document to 13 pages.

Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 10 Eyal Rozenberg 2018-09-17 17:59:23 UTC
(In reply to Omer Zak from comment #9)
> LibreOffice crashed when I tried to edit the example document.
> My attempt was to insert more text to enlarge the document to 13 pages.

Same for me, with:

Version: 6.1.1.2
Build ID: 5d19a1bfa650b796764388cd8b33a5af1f5baa1b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: en-GB (en_GB.UTF-8); Calc: group threaded
Comment 11 Lior Kaplan 2018-09-17 18:04:23 UTC
The bug still happens. Also crashes LibO in some cases while editing the document.

Version: 6.1.1.1
Build ID: 1:6.1.1~rc1-2

Debian GNU/Linux on AMD64
Comment 12 Eyal Rozenberg 2018-09-17 18:07:53 UTC
(In reply to Eyal Rozenberg from comment #10)

Note that Omer and I were using Linux while the platform ("Hardware") for this bug is marked as Windows-all.
Comment 13 QA Administrators 2019-09-18 02:54:48 UTC
Dear safarzadeh.h,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug